Subject: I would like to make a request for the sort command

From: "Silverman, Jeffrey X. -ND" <[email-masked]>
Date: Fri, 5 Jun 2015 17:13:21 +0000

People,

I realize that the sort command must be on the order of 40 years old and is "mature" software, but I would like to make a request for enhancement anyway.  I would like the capability of adding 2 data types that can be sorted: IPv4 addresses and IPv6 addresses.  To do that, the addresses should be converted to integers of length 32 bits and 128 bits and then sorted. I'm not sure that 128 bit integers is portable, but converting to a 32 bit string with no missing zeros would suffice.

If this is something that interests you, then I think I could write a preprocessor in python as a proof of concept.

Sincerely yours,

Jeff Silverman
You may also reach me at [email-masked]